Skip to content
AIDE AI Partner API
Search
Ctrl
K
Cancel
Select theme
Dark
Light
Auto
Menu
Get started
How it works
Test and live modes
Quickstart
Concepts
Authentication
Requests and responses
Errors
Idempotency
Rate limits
Credits and billing
Resources
Files
Subjects
Papers
Submissions
Results and reports
Account and balance
Webhooks & events
Webhooks
Events
Going live
Data protection
Versioning
Go-live checklist
Support
Reference
Error codes
Limits
Changelog
OpenAPI document
API reference
Overview
Authentication
Revoke the key that makes this request
POST
Files
Upload a file
POST
Retrieve a file
GET
Subjects
List subjects
GET
Papers
List papers
GET
Create a paper
POST
Retrieve a paper
GET
Delete a paper
DELETE
Update a paper
PATCH
Approve a paper
POST
List a paper's questions
GET
Create a review link
POST
Withdraw a paper's review links
POST
Submissions
List submissions
GET
Create a submission
POST
Retrieve a submission
GET
Delete a submission
DELETE
Update a submission
PATCH
Cancel a submission
POST
Release a submission
POST
Results and reports
Retrieve a result
GET
Download the report
GET
Account and balance
Retrieve your account
GET
Retrieve your balance
GET
List credit transactions
GET
Webhooks
List webhook endpoints
GET
Create a webhook endpoint
POST
Retrieve a webhook endpoint
GET
Delete a webhook endpoint
DELETE
Update a webhook endpoint
PATCH
Rotate a webhook endpoint's secret
POST
Events
List events
GET
Retrieve an event
GET
Webhooks
A paper's questions, marks and answer keys have been read
POST
A paper was approved
POST
A paper couldn't be processed
POST
A submission has been marked
POST
A submission's result is final
POST
A submission couldn't be marked
POST
Your available live balance fell below your alert threshold
POST
Your credits' validity ends in 7 days
POST
Select theme
Dark
Light
Auto
Overview
AIDE AI Partner API
v1
Section titled “AIDE AI Partner API v1”
Information
OpenAPI version:
3.1.0
Operations
Section titled “Operations”
POST
/v1/api_key/revoke
POST
/v1/files
GET
/v1/files/{id}
GET
/v1/subjects
GET
/v1/papers
POST
/v1/papers
GET
/v1/papers/{id}
DELETE
/v1/papers/{id}
PATCH
/v1/papers/{id}
POST
/v1/papers/{id}/approve
GET
/v1/papers/{id}/questions
POST
/v1/papers/{id}/review_links
POST
/v1/papers/{id}/review_links/revoke
GET
/v1/submissions
POST
/v1/submissions
GET
/v1/submissions/{id}
DELETE
/v1/submissions/{id}
PATCH
/v1/submissions/{id}
POST
/v1/submissions/{id}/cancel
POST
/v1/submissions/{id}/release
GET
/v1/submissions/{id}/result
GET
/v1/submissions/{id}/report
GET
/v1/account
GET
/v1/balance
GET
/v1/credit_transactions
GET
/v1/webhook_endpoints
POST
/v1/webhook_endpoints
GET
/v1/webhook_endpoints/{id}
DELETE
/v1/webhook_endpoints/{id}
PATCH
/v1/webhook_endpoints/{id}
POST
/v1/webhook_endpoints/{id}/rotate_secret
GET
/v1/events
GET
/v1/events/{id}
POST
A paper's questions, marks and answer keys have been read
WEBHOOK
POST
A paper was approved
WEBHOOK
POST
A paper couldn't be processed
WEBHOOK
POST
A submission has been marked
WEBHOOK
POST
A submission's result is final
WEBHOOK
POST
A submission couldn't be marked
WEBHOOK
POST
Your available live balance fell below your alert threshold
WEBHOOK
POST
Your credits' validity ends in 7 days
WEBHOOK
Authentication
Section titled “Authentication”
bearer
Section titled “bearer”
Security scheme type:
http